For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsAPI ReferenceChangelog
OverviewInquiriesTransactionsAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
    • Cases
    • Connect
    • Documents
    • Inquiries
    • List Items
    • Lists
    • OAuth
    • Reports
      • GETList all Reports
      • POSTCreate a Report
      • GETRetrieve a Report
      • DELRedact a Report
      • POSTAdd tag to a Report
      • POSTReport Action: Dismiss Matches
      • GETList Report history
      • POSTReport Action: Pause Continuous Monitoring
      • GETPrint Report PDF
      • POSTRemove tag from a Report
      • POSTReport Action: Resume Continuous Monitoring
      • POSTReport Action: Re-run Report
      • POSTSet tags on a Report
    • Transactions
    • Verifications
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceReports

Print Report PDF

GET
https://api.withpersona.com/api/v1/reports/:report-id/print
GET
/api/v1/reports/:report-id/print
$curl https://api.withpersona.com/api/v1/reports/report-id/print \
> -H "Authorization: Bearer <token>"
Prints a report in PDF format.
Was this page helpful?
Previous

Remove tag from a Report

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

report-idstringRequired

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional

Server API version. More info on versioning can be found here.

Response

This endpoint returns a PDF of a Report object.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error